//<c>   Copyright 1990-2000 by Gerry J. Danen; all rights reserved.

#include "gd_tools.h"
#include "gd_extrn.h"


#define pgVERS_ "V2.10"
#define pgTITL_ "Age Calculator"
#define pgCOPR_ "1990"


void main(void)
{
    int         by=0, bm=0, bd=0, ny=0, nm=0, nd=0 ;
    int         yrs=0, mos=0, das=0 ;
    INT32       bymd, nymd, days ;
    char        inbuf[130] ;

    fs_init( FALSE, SHAREWARE_VERSION, 0, pgVERS_, pgTITL_, pgCOPR_ );
    NewScreen();
    DspMessage( 5, 9, LT_CYAN, vid.normal_bg, "Enter your birthday (put spaces between day month and year)" );
    DspMessage( 6, 9, LT_CYAN, vid.normal_bg, "example... 21 9 1966" );
    MoveCursor( 7, 9 );
    CursOn();

    gets( inbuf );
    sscanf(inbuf,"%d %d %d",&bd, &bm, &by);
    bymd = ((INT32)by*10000L) + ((INT32)bm*100L) + bd ;

    dt_getsystemdate( &nymd, &ny, &nm, &nd );
    days = DaysBetween( bymd, nymd );

    yrs = ny - by ;
    if ( (nm*100)+nd < (bm*100)+bd )
    {
        yrs -= 1 ;
        nm += 12 ;
    }
    if ( nd < bd )
    {
        das = DaysInMonth( bymd ) - bd + nd + 1 ;
        mos = nm - bm - 1 ;
    }
    else
    {
        das = nd - bd + 1 ;
        mos = nm - bm ;
    }

    DspMessage( 13, 9, LT_RED, vid.normal_bg, "You have lived %d years, %d months, and %d days", yrs, mos, das );
    DspMessage( 20, 9, WHITE , vid.normal_bg, "Press any key to quit..." );
    _getch();
    MoveCursor( 20, 1 );
    ClearEOS();
    gd_exit( GOOD_EXIT, "" );
}
